{
  "name": "pubsweet-starter",
  "version": "1.0.0-alpha.1",
  "description": "A new pubsweet app",
  "repository": "https://gitlab.com/aaron.miller/pubsweet-starter.git",
  "license": "MIT",
  "files": [
    "app",
    "config",
    "static",
    "webpack"
  ],
  "main": "app.js",
  "engines": {
    "node": ">=10.0.0 <= 12.22.12"
  },
  "scripts": {
    "build": "pubsweet build",
    "lint": "eslint --ext js,jsx app config test webpack",
    "start": "docker-compose up",
    "start:services": "docker-compose up db",
    "start:client": "pubsweet start:client",
    "start:server": "pubsweet start:server",
    "seed": "node scripts/seed.js",
    "precommit": "lint-staged",
    "test": "NODE_ENV=test NODE_PRESERVE_SYMLINKS=1 testcafe chrome 'test/**/*.test.js'"
  },
  "dependencies": {
    "@apollo/react-common": "^3.1.3",
    "@apollo/react-hoc": "^3.1.3",
    "@pubsweet/component-password-reset-client": "^3.1.20",
    "@pubsweet/component-password-reset-server": "^2.2.4",
    "@pubsweet/db-manager": "3.1.4",
    "@pubsweet/default-theme": "4.1.18",
    "@pubsweet/job-xsweet": "^2.1.4",
    "@pubsweet/logger": "^0.2.39",
    "@pubsweet/model-blog": "^0.0.32",
    "@pubsweet/model-blogpost": "^0.0.32",
    "@pubsweet/model-team": "^3.0.2",
    "@pubsweet/model-user": "^5.1.9",
    "@pubsweet/models": "0.3.4",
    "@pubsweet/ui": "^12.3.0",
    "authsome": "^0.1.0",
    "mini-css-extract-plugin": "^0.9.0",
    "pubsweet": "^5.1.7",
    "pubsweet-client": "^10.1.4",
    "pubsweet-component-login": "^3.0.21",
    "pubsweet-component-signup": "^2.1.15",
    "pubsweet-server": "^13.9.1",
    "xpub-edit": "^2.6.4"
  },
  "devDependencies": {
    "@babel/core": "^7.8.4",
    "@babel/plugin-proposal-class-properties": "^7.8.3",
    "@babel/plugin-proposal-decorators": "^7.8.3",
    "@babel/plugin-proposal-export-namespace-from": "^7.8.3",
    "@babel/plugin-proposal-function-sent": "^7.8.3",
    "@babel/plugin-proposal-json-strings": "^7.8.3",
    "@babel/plugin-proposal-numeric-separator": "^7.8.3",
    "@babel/plugin-proposal-throw-expressions": "^7.8.3",
    "@babel/plugin-syntax-dynamic-import": "^7.8.3",
    "@babel/plugin-syntax-import-meta": "^7.8.3",
    "@babel/preset-env": "^7.8.4",
    "@babel/preset-react": "^7.8.3",
    "app-module-path": "^2.2.0",
    "babel-eslint": "^10.1.0",
    "babel-loader": "^8.0.0",
    "babel-preset-es2015-native-modules": "^6.9.4",
    "babel-preset-minify": "^0.5.0",
    "compression-webpack-plugin": "^3.1.0",
    "copy-webpack-plugin": "^5.1.1",
    "css-loader": "^3.4.2",
    "eslint": "^6.8.0",
    "eslint-config-pubsweet": "^0.0.6",
    "eslint-plugin-import": "^2.20.1",
    "eslint-plugin-jest": "^23.8.0",
    "eslint-plugin-jsx-a11y": "^6.0.2",
    "eslint-plugin-node": "^11.0.0",
    "eslint-plugin-prettier": "^3.1.2",
    "eslint-plugin-promise": "^4.2.1",
    "eslint-plugin-react": "^7.18.3",
    "eslint-plugin-standard": "^4.0.1",
    "faker": "^4.1.0",
    "file-loader": "^5.1.0",
    "fs-extra": "^8.1.0",
    "html-webpack-plugin": "^3.2.0",
    "husky": "^4.2.3",
    "joi-browser": "^13.0.1",
    "json-loader": "^0.5.4",
    "lint-staged": "^10.0.8",
    "node-dev": "^4.0.0",
    "node-sass": "^4.13.1",
    "prettier": "^1.10.2",
    "react-hot-loader": "~4.12.19",
    "regenerator-runtime": "^0.13.3",
    "script-loader": "^0.7.0",
    "smtp-server": "^3.3.0",
    "style-loader": "^1.1.3",
    "testcafe": "~1.8.2",
    "testcafe-react-selectors": "^4.0.0",
    "url-loader": "^3.0.0",
    "webpack": "^4.41.6",
    "webpack-cli": "^3.3.11",
    "webpack-dev-server": "^3.10.3",
    "webpack-hot-middleware": "^2.25.0"
  },
  "resolutions": {
    "bcrypt": "3.0.6"
  }
}